View Issue Details

IDProjectCategoryView StatusLast Update
0001690SymmetricDS ProImprovementpublic2014-08-27 08:55
ReporterelongAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.6.5 
Target Version3.6.6Fixed in Version3.6.6 
Summary0001690: License key storage and updates
Description1. Can we store the license key in the folder with the installation and remove it on uninstall?
2. Can the import of configuration also update the license key on disk?

The license key is currently stored in the Java prefs storage, which goes in the registry on windows and the user's .prefs folder on unix. If we could store it in a file of the installation folder, it would be easy to install or uninstall. The Pro screen currently checks if the license key is installed in Java prefs, and if missing, it pulls it from the database. This means you can't update the license key from a configuration import.
TagsNo tags attached.

Activities

chenson

2014-08-26 08:43

administrator   ~0000567

Last edited: 2014-08-26 08:43

View 2 revisions

When logging in, we now always try to install the license key if it exists as a parameter (versus only installing it if it doesn't exist)

Issue History

Date Modified Username Field Change
2014-04-24 14:47 elong New Issue
2014-08-26 08:24 chenson Product Version => 3.6.5
2014-08-26 08:24 chenson Fixed in Version => 3.6.6
2014-08-26 08:24 chenson Target Version 3.7.0 => 3.6.6
2014-08-26 08:24 chenson Status new => resolved
2014-08-26 08:24 chenson Resolution open => fixed
2014-08-26 08:24 chenson Assigned To => chenson
2014-08-26 08:43 chenson Note Added: 0000567
2014-08-26 08:43 chenson Note Edited: 0000567 View Revisions
2014-08-27 08:55 chenson Status resolved => closed